### Method

# Gimp Drawable offset

#### Declaration [src]

    gboolean
    gimp_drawable_offset (
      GimpDrawable* drawable,
      gboolean wrap_around,
      GimpOffsetType fill_type,
      gint offset_x,
      gint offset_y
    )

#### Description [src]

Offset the drawable by the specified amounts in the X and Y directions

This procedure offsets the specified drawable by the amounts specified by ‘offset_x’ and ‘offset_y’. If ‘wrap_around’ is set to TRUE, then portions of the drawable which are offset out of bounds are wrapped around. Alternatively, the undefined regions of the drawable can be filled with transparency or the background color, as specified by the ‘fill-type’ parameter.

#### Parameters

`wrap_around` | `gboolean`
| Wrap image around or fill vacated regions.
`fill_type` | `GimpOffsetType`
| Fill vacated regions of drawable with background or transparent.
`offset_x` | `gint`
| Offset by this amount in X direction.
`offset_y` | `gint`
| Offset by this amount in Y direction.

#### Return value

Returns: | `gboolean`
| TRUE on success.